Bug 487614 - PackageKit doesn't use specspo package summaries and descriptions
PackageKit doesn't use specspo package summaries and descriptions
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-26 18:38 EST by Igor Pires Soares
Modified: 2011-06-27 10:07 EDT (History)
9 users (show)

See Also:
Fixed In Version: 0.4.8-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 10:07:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
gnome-packagekit behavior (68.16 KB, image/png)
2009-02-26 21:24 EST, Igor Pires Soares
no flags Details
yumex behavior (48.57 KB, image/png)
2009-02-26 21:25 EST, Igor Pires Soares
no flags Details

  None (edit)
Description Igor Pires Soares 2009-02-26 18:38:32 EST
Description of problem:

PackageKit is not using translated summaries and descriptions for Brazilian Portuguese. Other languages might be affected too.

Version-Release number of selected component (if applicable):
gnome-packagekit-0.3.14-1.fc10.x86_64
PackageKit-0.3.14-1.fc10.x86_64
specspo-16-1.noarch
yum-3.2.21-2.fc10.noarch
Comment 1 iarly selbir 2009-02-26 20:22:50 EST
changing component to gnome-packagekit like you told me in e-mail.

i'll try to reproduce the error in my rawhide.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 iarly selbir 2009-02-26 20:23:56 EST
changing component to gnome-packagekit as you told me in e-mail.

i'll try to reproduce the error in my rawhide.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Igor Pires Soares 2009-02-26 21:12:52 EST
I used gnome-packagekit as an example, the same happens with kpackagekit. I'm not sure if this should be fixed at daemon or GUI level.
Comment 4 Igor Pires Soares 2009-02-26 21:24:28 EST
Created attachment 333421 [details]
gnome-packagekit behavior
Comment 5 Igor Pires Soares 2009-02-26 21:25:35 EST
Created attachment 333422 [details]
yumex behavior

Yumex behavior on the same system
Comment 6 Igor Pires Soares 2009-02-26 22:57:59 EST
I can confirm this also happens in my Rawhide instance
Comment 7 Richard Hughes 2009-02-27 08:25:14 EST
Okay, KPackageKit and gnome-packagekit both tell the dameon to run a transaction in a specific locale. This locale is then passed to yum as a LANG environment, and yum gets the results, translates them for us, and passes them back to the daemon, which passes them to the client.

To test this, if you're searching for powertop in the client tool, do:

LANG=pt_BR yum search powertop

and see what comes up. You'll find that specspo is very incomplete, and only covers a few hundred packages.
Comment 8 Igor Pires Soares 2009-02-27 12:22:36 EST
That was a good example because powertop is one of the packages covered by specspo and translated for pt_BR in F10. If I search for powertop, yum returns this:

[igor@amd5600 ~]$ yum search powertop
Plugins carregados: refresh-packagekit
============================== Matched: powertop ===============================
powertop.x86_64 : Monitor de consumo de energia


What is exactly right, because the package summary is translated.

But, if I search for the same package in gnome-packagekit I get the summary in English.

The screenshots I attached show a similar situation.
Comment 9 iarly selbir 2009-02-27 12:48:49 EST
KpackageKit have the same problem ( tested on rawhide version )

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 10 Matthias Clasen 2009-05-06 21:25:26 EDT
Richard, here is what I see:

PK does indeed pass the LANG from the session to the environment of the yum backend. Somehow that is not enough to make things work like they do with the yum commandline:

 [root@planemask gnome-desktop]# LANG=pt_BR yum search powertop
Plugins carregados: dellsysidplugin2, presto, refresh-packagekit
============================== Matched: powertop ===============================
powertop.x86_64 : Monitor de consumo de energia


[root@planemask gnome-desktop]# LANG=pt_BR /usr/bin/python /usr/share/PackageKit/helpers/yum/yumBackend.py search-details newest powertop
Error: No NETWORK envp
Plugins carregados: dellsysidplugin2, presto
allow-cancel	false
allow-cancel	true
status	query
package	available	powertop;1.11-2.fc11;x86_64;rawhide	Power consumption monitor
finished
Comment 11 Richard Hughes 2009-05-07 11:21:24 EDT
commit 0af5f4598025e6eda97e243653e0ab6c6b2a98b3
Author: Richard Hughes <richard@hughsie.com>
Date:   Thu May 7 16:17:56 2009 +0100

    yum: Setup the locale using yum.misc. Fixes rh#487614
Comment 12 Richard Hughes 2009-05-07 11:21:57 EDT
Do you want me to build a F10 package, or can you test from git master?
Comment 13 Igor Pires Soares 2009-05-09 11:45:54 EDT
I wasn't able to test it with git master yet. I guess there is some problem with people.freedesktop.org git right now. I will give it a try later. If you can build a F11 package it would be helpful too.
Comment 14 Igor Pires Soares 2009-05-14 22:49:07 EDT
I just tested it from git master. Unfortunately I am still able to reproduce the bug. The translated descriptions are being used now, but only for installed packages, although they should be available for other ones too.
Comment 15 Fedora Update System 2009-06-01 06:54:48 EDT
PackageKit-0.4.8-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/PackageKit-0.4.8-1.fc11
Comment 16 Fedora Update System 2009-06-02 10:25:26 EDT
PackageKit-0.4.8-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update PackageKit'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-5750
Comment 17 Igor Pires Soares 2009-06-02 21:01:33 EDT
PackageKit-0.4.8-1.fc11 doesn't fix the bug completely. Happens the same as described in comment #14.
Comment 18 Fedora Update System 2009-06-07 05:04:47 EDT
kpackagekit-0.4.1-3.fc11,PackageKit-0.4.8-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/kpackagekit-0.4.1-3.fc11,PackageKit-0.4.8-1.fc11
Comment 19 Fedora Update System 2009-06-15 21:32:19 EDT
PackageKit-0.4.8-1.fc11, kpackagekit-0.4.1.1-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update PackageKit kpackagekit'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-6056
Comment 20 Igor Pires Soares 2009-06-16 20:49:53 EDT
Still happens the same as described in comment #14.
Comment 21 Fedora Update System 2009-06-18 07:59:04 EDT
PackageKit-0.4.8-1.fc11, kpackagekit-0.4.1.1-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 22 Igor Pires Soares 2009-06-18 10:38:44 EDT
I reinforce the issue from comment #14 remains
Comment 23 Steven M. Parrish 2009-07-21 12:07:24 EDT
Richard is this still an issue as the previous comments describe or has it been fixed?

-- 
Steven M. Parrish - KDE Triage Master
                  - PackageKit Triager
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 24 Richard Hughes 2009-07-21 12:58:26 EDT
(In reply to comment #23)
> Richard is this still an issue as the previous comments describe or has it been
> fixed?

Needs more love.
Comment 25 Steven M. Parrish 2009-09-01 10:27:19 EDT
Time for the monthly Ping to see where this stands.

-- 
Steven M. Parrish - KDE Triage Master
                  - PackageKit Triager
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 26 Bug Zapper 2010-04-27 09:04:00 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 27 Bug Zapper 2011-06-02 14:14:14 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 28 Bug Zapper 2011-06-27 10:07:04 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.